/*
Fire is a UCI chess playing engine by Kranium (Norman Schmidt)
Fire is based on Ippolit source code: http://ippolit.wikispaces.com/
authors: Yakov Petrovich Golyadkin, Igor Igorovich Igoronov,
and Roberto Pescatore copyright: (C) 2009 Yakov Petrovich Golyadkin
date: 92th and 93rd year from Revolution
owners: PUBLICDOMAIN (workers)
dedication: To Vladimir Ilyich
"This Russian chess ship is a truly glorious achievement of the
 October Revolution and Decembrists movement!"

Fire is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Fire is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program. If not, see http://www.gnu.org/licenses/.
*/

MutexType PThreadCondMutex[MaxCPUs];
MutexType Wakeup_Lock_IO[1];
MutexType SMP[1];
CondType PThreadCondWait[MaxCPUs];
CondType Wakeup_IO[1];
boolean volatile Die[MaxCPUs];
boolean volatile SMPisActive;
boolean volatile IvanAllHalt;
boolean volatile IOAwake;
boolean volatile InfiniteLoop;
boolean volatile SearchIsDone;
boolean volatile StallMode;
int volatile NumThreads;
typedef struct
    {
    int alpha;
    int beta;
    int depth;
    int node_type;
    int value;
    uint32 move;
    uint32 good_move;
    uint32 childs;
    typeNext *MovePick;
    boolean tot;
    boolean active;
    MutexType splock[1];
    } SplitPoint;
SplitPoint RootSP[MaxSP];
volatile uint64 SMPFree;
#define NodeTypePV 1
#define NodeTypeAll 2
#define NodeTypeCut 3
#include <setjmp.h>

